<< invfreqz | FOSSEE_Signal_Processing_Toolbox | is2rc >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > ipermute

# ipermute

Inverse of the permute function.

### Syntax

    B = ipermute(A, perm)

### Parameters

A:

  Input array.

perm:

  Permutation vector specifying the order of dimensions.

### Description

The `ipermute` function reverses the effect of the `permute` function. It rearranges the dimensions of the input array `A` according to the inverse of the permutation vector `perm`.

The expression: ipermute(permute(A, perm), perm) returns the original array `A`.

### Examples

    A = [1, 2; 3, 4]
    perm = [2, 1]
    B = ipermute(permute(A, perm), perm)

Report an issue
<< invfreqz | FOSSEE_Signal_Processing_Toolbox | is2rc >>